unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mask, StdCtrls, Unit2;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    MaskEdit1: TMaskEdit;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
{wiekszosc zaczerpnieta z opracowan A.Boducha
w duzym stopniu zmodyfikowan i przystosowan do moich potrzeb}

{ w tym rekordzie przechowywane będą dane  }
  TDatBase = packed record
    Name  : String[30]; // login
    Pass  : String[30]; // haslo
  end;

 const DatName = 'data.dbt';  // w tym pliku przechowywane będą dane

 var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button3Click(Sender: TObject);
begin
Form2.Show;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Form1.close
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  DatBase : file of TDatBase;
  DB : TDatBase;
begin
  AssignFile(DatBase, DatName);
  Reset(DatBase);
  Read(DatBase, DB);  // odczytaj do rekordu
  { przypisz dane z rekordu do komponentów }
  with DB do
  begin
    if edit1.Text <> db.Name or maskedit1.Text <> db.Pass
    then Application.MessageBox('Nie ma takeigo Uzytkownik lub niepoprawen haslo','Blad',mb_ok);
    else showmessage('dobrze');

  end;

  CloseFile(DatBase);
end;


end.
